set terminal x11
#set terminal postscript portrait "Times-Roman" 18
set size 1.0, 1.0
#set output 'ps.out'
set grid
#set logscale xy
#set key 200,50
set title "Potential Distribution of Charges @ DATAFILE-PATHNAME"
set xlabel "X Grid Index" 
set ylabel "Y Grid Index"
set parametric
set hidden3d
set contour both
set cntrparam bspline 
set cntrparam order 4
set cntrparam levels 10
set ticslevel 0.2
set zlabel "Potential"
set view 75,  0,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 5
set view 75, 30,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75, 60,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75, 90,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,120,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,150,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,180,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,210,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,240,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,270,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,300,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,330,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75,360,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause 2
set view 75, 30,1,1
splot 'DATAFILE-PATHNAME' using 1:2:3 with lines 1 1 
pause -1
