      subroutine print_Task_r4Grid( ch_prt, Ndim, bdy_lgths, r4Grid )

      implicit none

c  Included files:
c     include "local_const.h"
      integer max_Ndim
      parameter ( max_Ndim = 6 )

c  Input variables:
      integer ch_prt
      integer Ndim
      integer bdy_lgths( Ndim )
      real*4  r4Grid( * )          ! at least of size prod_i bdy_lgths( i )

c  Local variables:
      integer Nplet( max_Ndim )
      integer row_lgth
      integer hyper_vol
      integer elem_idx
      integer last_matched_ctg_idx
      integer ii


      hyper_vol = 1
      do ii = 1, Ndim
         hyper_vol = hyper_vol * bdy_lgths( ii )
         Nplet( ii ) = 0
      enddo

      row_lgth = bdy_lgths( 1 )

      elem_idx = 0
      do while ( elem_idx .lt. hyper_vol )
         write(ch_prt,*) ( r4Grid( ii ), ii = elem_idx+1,
     &                                        elem_idx+row_lgth )
         elem_idx = elem_idx + row_lgth
         call adr_lnr_2_Nplet( elem_idx, Ndim, bdy_lgths, Nplet )
         call last_ctg_dim( Ndim, bdy_lgths, Nplet, 
     &                      last_matched_ctg_idx )
         do ii = 1, last_matched_ctg_idx - 1
            write(ch_prt,*) '----'
         enddo
      enddo
      write(ch_prt,*)

      return
      end
