
MAN_DIR  = ../../man/man3

RGX_DIR  = .

#---  The API source :

CC_SRC  = RGX_Create_Task_GridS.c RGX_Set_Glb_Grid_Ppty.c \
          RGX_Find_Task_Grid_endpts.c RGX_Find_Task_Grid_Ngbrs.c \
          RGX_Defn_Task_Bndry_Strides.c RGX_Swap_Task_Bndry_Strides.c \
          RGX_List_Processor_Names.c

#---  The Support routine to the API source :

aux_SRC = adr_Nplet_2_lnr.c adr_lnr_2_Nplet.c \
          Nplet_in_RealWrd.c Init_Task_Grid_order.c

SRC_MAN  = $(CC_SRC:.c=.3)

#---  The manpage tools

#DOCTEXT_DIR = /tmp/textfilt/textfilt
DOCTEXT_DIR = /home/tonychan/ASCI/RGX/man

#DOCTEXT     = $(DOCTEXT_DIR)/progs/doctext/doctext
DOCTEXT     = $(DOCTEXT_DIR)/doctext

DOC_OPT     = -mpath $(MAN_DIR) -heading RGX


#---  Code Conversion Rules:

%.3:	%.c
#	DOCTEXT_PATH = $(DOCTEXT_DIR)/defn; export DOCTEXT_PATH
	$(DOCTEXT) $(DOC_OPT) $<

#-------------------------------------------------------------------

all:	man

man:	$(SRC_MAN)
